Subject: bug#10567: closed (Re: bug#10567: Fw: guile-library - make bug report)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Mar 2013 22:17:02 +0000

Your bug report

#10567: Fw: guile-library - make bug report

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10567: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10567
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10567: Fw: guile-library - make bug report
From: Andy Wingo <[email-masked]>
To: David Pirotte <[email-masked]>
Cc: [email-masked]
Date: Sat, 02 Mar 2013 23:16:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri 03 Feb 2012 16:41, Andy Wingo <[email-masked]> writes:

> On Fri 20 Jan 2012 19:25, David Pirotte <[email-masked]> writes:
>
>> 	guile 	2.0.3.150-88c0
>> 	guile-lib	release-0.2.1-2-ge9fe22b
>>
>> ...
>> make[1]: Entering directory `/usr/local/src/guile-lib/git-clone/src'
>> ../dev-environ /usr/local/bin/guile-tools compile -o "text/parse-lalr.go"
>> "text/parse-lalr.scm" ice-9/boot-9.scm:106:20: In procedure #<procedure 9a66680 at
>> ice-9/boot-9.scm:97:6 (thrown-k . args)>: ice-9/boot-9.scm:106:20: In procedure
>> scm_read_expression: text/parse-lalr.scm:1418:45: unexpected ")" make[1]: ***
>> [text/parse-lalr.go] Error 1 make[1]: Leaving directory
>> `/usr/local/src/guile-lib/git-clone/src' make: *** [all-recursive] Error 1
>
> The line in question:
>
> 			 (eq? (car rest) ':)
>
> It seems you have (read-set! keywords 'prefix) in your init.scm, which
> affects the compile-time environment.
>
> I wonder what is the right thing to do here.

In this case, probably just to change it to (string->symbol ":").  I
have done that.  We don't need to change the copy in Guile because its
compilation environment is more controlled.

Andy
-- 
http://wingolog.org/

Subject: Fw: guile-library - make bug report
From: David Pirotte <[email-masked]>
To: <[email-masked]>
Date: Fri, 20 Jan 2012 16:25:45 -0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I sent the following bug report to guile-devel by mistake, sorry

;; --

Hello,

	guile 	2.0.3.150-88c0
	guile-lib	release-0.2.1-2-ge9fe22b

...
make[1]: Entering directory `/usr/local/src/guile-lib/git-clone/src'
../dev-environ /usr/local/bin/guile-tools compile -o "text/parse-lalr.go"
"text/parse-lalr.scm" ice-9/boot-9.scm:106:20: In procedure #<procedure 9a66680 at
ice-9/boot-9.scm:97:6 (thrown-k . args)>: ice-9/boot-9.scm:106:20: In procedure
scm_read_expression: text/parse-lalr.scm:1418:45: unexpected ")" make[1]: ***
[text/parse-lalr.go] Error 1 make[1]: Leaving directory
`/usr/local/src/guile-lib/git-clone/src' make: *** [all-recursive] Error 1

David